org.apache.ignite.client

## Class ClientReconnectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.client.ClientException
        - - org.apache.ignite.client.ClientReconnectedException

All Implemented Interfaces:
  Serializable

    public class ClientReconnectedException
    extends ClientException

Indicates that previous connection was lost and a new connection established, which can lead to inconsistency of non-atomic operations.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClientReconnectedException()` Default constructor.
`ClientReconnectedException(String msg)` Constructs a new exception with the specified message.
`ClientReconnectedException(String msg, Throwable cause)` Constructs a new exception with the specified cause and detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClientReconnectedException

    public ClientReconnectedException()

Default constructor.

#### ClientReconnectedException

    public ClientReconnectedException(String msg)

Constructs a new exception with the specified message.

Parameters:
  `msg` - Detailed exception message.

#### ClientReconnectedException

    public ClientReconnectedException(String msg,
                                      Throwable cause)

Constructs a new exception with the specified cause and detail message.

Parameters:
  `msg` - the detail message.
  `cause` - the cause.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023